<?php
/**
 * Random image with fancy zoom
 *
 * @package 	Random image with fancy zoom
 * @subpackage 	mod_random_image_with_fancy_zoom
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license   	GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/08/random-image-with-fancy-zoom-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\RandomImageWithFancyZoom\Site\Helper\RandomImageWithFancyZoomHelper;

$folder		= RandomImageWithFancyZoomHelper::getFolder($params);
$images		= RandomImageWithFancyZoomHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo \JText::_('No Images <br>' . $folder . '<br>');
	return;
}
else
{
	$modbase 	= JURI::base(true).'/modules/mod_random_image_with_fancy_zoom/';
	$document 	= JFactory::getDocument();
	$document->addScript ($modbase.'js/FancyZoom.js');
	$document->addScript ($modbase.'js/FancyZoomHTML.js');
}
require ModuleHelper::getLayoutPath('mod_random_image_with_fancy_zoom', $params->get('layout', 'default'));